unit CharSetEnumMain;

interface

uses
  Windows,
  Messages,
  SysUtils,
  Variants,
  Classes,
  Graphics,
  Controls,
  Forms,
  Dialogs,
  CharsetEnumerator,
  StdCtrls;

type
  TForm_Main = class(TForm)
    ListBox_FontNames: TListBox;
    ListBox_CharSetNames: TListBox;
    Button_Quit: TButton;
    Label_Info: TLabel;
    procedure Button_QuitClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure ListBox_FontNamesClick(Sender: TObject);
  private
    FEnumerator: TCharsetEnumerator;
  public
    constructor Create(AOwner: TComponent); override;
    destructor Destroy; override;
  end;

var
  Form_Main                             : TForm_Main;

implementation

{$R *.dfm}

constructor TForm_Main.Create(AOwner: TComponent);
begin
  inherited Create(AOwner);
  FEnumerator := TCharsetEnumerator.Create();
end;

destructor TForm_Main.Destroy;
begin
  FreeAndNil(FEnumerator);
  inherited Destroy;
end;

procedure TForm_Main.Button_QuitClick(Sender: TObject);
begin
  Close;
end;

procedure TForm_Main.FormShow(Sender: TObject);
begin
  ListBox_FontNames.Items.Assign(FEnumerator.FontNames);
end;

procedure TForm_Main.ListBox_FontNamesClick(Sender: TObject);
var
  s                                     : string;
  idx                                   : Integer;
begin
  idx := ListBox_FontNames.ItemIndex;
  s := ListBox_FontNames.Items[idx];
  FEnumerator.FontName := s;
  ListBox_CharSetNames.Items.Assign(FEnumerator.FontCharsetNames);
end;

end.

